#include "iodefine.h"
#include "typedef.h"
#include "adc_ctrl.h"

void init_adc(void)
{
	/* X^oCRg[WX^3 */
	CPG.STBCR3.BIT.MSTP32 = 0;			/* A/DϊփNbN */

	/* |[gHRg[WX^0 */
	PORT.PHCR0.BIT.PH0MD = 1;			/* AN0@\ */
	PORT.PHCR0.BIT.PH1MD = 1;			/* AN1@\ */

	/* ADRg[/Xe[^XWX^ */
	ADC.ADCSR.BIT.ADIE = 0;				/* A/Dϊ̏Iɂ銄荞ݗv֎~ */
	ADC.ADCSR.BIT.ADST = 0;				/* A/Dϊ~ */
	ADC.ADCSR.BIT.TRGS = 0;				/* gKMɂA/DϊJn̋֎~ */
	ADC.ADCSR.BIT.CKS = 0;				/* NbNZNg */
	ADC.ADCSR.BIT.MDS = 6;				/* XL[hC1`4`l */
	ADC.ADCSR.BIT.CH = 1;				/* `lZNgCAN0CAN1 */

	adc_start();
	return;
}

/* A/DX^[g */
void adc_start(void)
{
	if(1 == ADC.ADCSR.BIT.ADF)
	{
		ADC.ADCSR.BIT.ADF = 0;			/* A/DGhtONA */
	}
	ADC.ADCSR.BIT.ADST = 1;				/* A/DX^[g */
	return;
}

/* `l0A/Dl擾 */
u2 adc_get_ch0(void)
{
	u2 r = (u2)ADC.ADDRA.WORD;			/* A/Df[^WX^ A */
	return r;
}

/* `l1A/Dl擾 */
u2 adc_get_ch1(void)
{
	u2 r = (u2)ADC.ADDRB.WORD;			/* A/Df[^WX^ A */
	return r;
}

/* A/DImF */
s4 adc_complete(void)
{
	s4 r = ADC_NG;

	if(1 == ADC.ADCSR.BIT.ADF)				/* A/DGhtO */
	{
		r = ADC_OK;
	}
	return r;
}
