#include "iodefine.h"
#include "typedef.h"
#include "portg_ctrl.h"

void init_portg(void)
{
	/* |[gGf[^WX^0 */
	PORT.PGDR0.WORD = 0xFFFF;			/* |[gG̉16rbg1ɐݒ */

	/* |[gGEIOWX^0 */
	PORT.PGIOR0.WORD = 0xFFFF;			/* |[gG̉16rbgo͂ɐݒ */

	/* |[gGRg[WX^0 */
	PORT.PGCR0.BIT.PG1MD = 0;			/* |[gG̑1rbg̋@\PG1ɐݒ */
	PORT.PGCR0.BIT.PG2MD = 0;			/* |[gG̑2rbg̋@\PG2ɐݒ */
	PORT.PGCR0.BIT.PG3MD = 0;			/* |[gG̑3rbg̋@\PG3ɐݒ */
	/* |[gGRg[WX^1 */
	PORT.PGCR1.BIT.PG4MD = 0;			/* |[gG̑4rbg̋@\PG4ɐݒ */
	PORT.PGCR1.BIT.PG5MD = 0;			/* |[gG̑5rbg̋@\PG5ɐݒ */
	PORT.PGCR1.BIT.PG6MD = 0;			/* |[gG̑6rbg̋@\PG6ɐݒ */
	PORT.PGCR1.BIT.PG7MD = 0;			/* |[gG̑7rbg̋@\PG7ɐݒ */
	/* |[gGRg[WX^2 */
	PORT.PGCR2.BIT.PG8MD = 0;			/* |[gG̑8rbg̋@\PG8ɐݒ */
	PORT.PGCR2.BIT.PG9MD = 0;			/* |[gG̑9rbg̋@\PG9ɐݒ */
	PORT.PGCR2.BIT.PG10MD = 0;			/* |[gG̑10rbg̋@\PG10ɐݒ */
	PORT.PGCR2.BIT.PG11MD = 0;			/* |[gG̑11rbg̋@\PG11ɐݒ */
	/* |[gGRg[WX^3 */
	PORT.PGCR3.BIT.PG12MD = 0;			/* |[gG̑12rbg̋@\PG12ɐݒ */
	PORT.PGCR3.BIT.PG13MD = 0;			/* |[gG̑13rbg̋@\PG13ɐݒ */
	PORT.PGCR3.BIT.PG14MD = 0;			/* |[gG̑14rbg̋@\PG14ɐݒ */
	PORT.PGCR3.BIT.PG15MD = 0;			/* |[gG̑15rbg̋@\PG15ɐݒ */
	/* |[gGRg[WX^7 */
	PORT.PGCR7.BIT.PG0MD = 0;			/* |[gG̑0rbg̋@\PG0ɐݒ */

	return;
}

/* PG15`PG8Ƀf[^ */
void portg_h(u1 data)
{
	PORT.PGDR0.BYTE.H = data;
	return;
}

/* PG7`PG0Ƀf[^ */
void portg_l(u1 data)
{
	PORT.PGDR0.BYTE.L = data;
	return;
}
